# PowerSMO!
# Copyright 2006 Danal Technology Inc
# May be used for tutorial purposes only
# Use as a production tool or in applications prohibitied
# No claims are made as to the usefulness or correctness of this script
# Please to not redistibute
# Maybe downloaded from http://www.pluralsight.com/dan/samples/PowerSMO.zip

"PowerSMO! Copyright 2006 Danal Technology Inc"
"www.pluralsight.com"
"For Tutorial Purposes Only"


$global:a = [System.Reflection.Assembly]::LoadWithPartialName("Microsoft.SqlServer.Smo")
$global:m = [System.Reflection.Assembly]::LoadWithPartialName("Microsoft.SqlServer.ConnectionInfo") 
[System.Reflection.Assembly]::LoadWithPartialName("System.Data") | out-null
$global:en = [System.Reflection.Assembly]::LoadWithPartialName("Microsoft.SqlServer.SqlEnum") 


$class_template =
'function global:Get-SMO_{0}
{{
if($args.length -eq 0)
{{
new-object "{1}"
}}
else
{{
new-object "{1}" ($args)
}}
}}

New-Alias gs_{0} Get-SMO_{0} -ErrorAction "SilentlyContinue" -scope "global"

'

$type_template =
'
function global:Get-SMOT_{0}
{{
[{1}]
}}

New-Alias gst_{0} Get-SMOT_{0} -ErrorAction "SilentlyContinue" -scope "global"

'
$initfile = "$ENV:Temp\smo.ps1"

function local:make-newobjfcn
{
$args[0] -f ($args[1], $args[2]) | out-file $initfile -append
}


"" | out-file $initfile

$a.GetTypes() | ?{$_.IsPublic} | %{
make-newobjfcn $type_template $_.name $_.fullname;
make-newobjfcn $class_template $_.name $_.fullname;
}


$m.GetTypes() | ?{$_.IsPublic} | %{
make-newobjfcn $type_template $_.name $_.fullname;
make-newobjfcn $class_template $_.name $_.fullname;
}

$en.GetTypes() | ?{$_.IsPublic} | %{
make-newobjfcn $type_template $_.name $_.fullname;
make-newobjfcn $class_template $_.name $_.fullname;
}


invoke-expression $initfile



function global:Get-SMO_ctors
{
$args[0].GetConstructors() |
%{$mname = $_.ReflectedType.Name;
$params = $_.GetParameters();
$s = "";
if($params.Length -gt 0)
{
$s = [string]::join(", ", @(foreach($p in $params)
{
'{0} {1}' -f $p.parametertype.name, $p.name
}));
}
'{0}({1})' -f $mname, $s;
}
}

 
function  global:Get-SMO_enum
{
if($args[0].IsEnum)
{
$args[0].GetFields() | %{$_.name}
}
else
{
"Not an enum"
}
}

