# This creates a policy condition for surface area config facet

$pstore = Get-PolicyStore ZMV08

$optype_eq = [Microsoft.SqlServer.Management.Dmf.OperatorType]::EQ
$optype_and = [Microsoft.SqlServer.Management.Dmf.OperatorType]::AND

$enum_false = [Microsoft.SqlServer.Management.Dmf.ExpressionNodeFunction+Function]::False
$func_false = new-object ('Microsoft.SqlServer.Management.Dmf.ExpressionNodeFunction') $enum_false

$attr_dbmail = new-object ('Microsoft.SqlServer.Management.Dmf.ExpressionNodeAttribute') "DatabaseMailEnabled"
$attr_sqlmail = new-object ('Microsoft.SqlServer.Management.Dmf.ExpressionNodeAttribute') "SqlMailEnabled"

$exp1 = new-object ('Microsoft.SqlServer.Management.Dmf.ExpressionNodeOperator') $optype_eq, $attr_dbmail, $func_false
$exp2 = new-object ('Microsoft.SqlServer.Management.Dmf.ExpressionNodeOperator') $optype_eq, $attr_sqlmail, $func_false
$exp_both = new-object ('Microsoft.SqlServer.Management.Dmf.ExpressionNodeOperator') $optype_and, $exp1, $exp2

$cond = New-Condition $pstore "MailOffSMO" "ISurfaceAreaFacet" $exp_both

$cond
