# This creates a TSQL-based custom collection set

$colset = new-object ($colns + 'CollectionSet') $col, "MyCollSet"
$colset.CollectionMode = [Microsoft.SqlServer.Management.Collector.CollectionSet+CollectionModes]::Cached
$colset.DaysUntilExpiration = 30
$colset.ScheduleName = "CollectorSchedule_Every_15min"
$colset.Description = "SMO Test Collection Set"

$colitem = new-object ($colns + 'CollectionItem') $colset, "MyCollItem"
$colitem.TypeName = "Generic T-SQL Query Collector Type"
$colitem.Parameters = `
"<ns:TSQLQueryCollector xmlns:ns='DataCollectorType'>
        <Query>
          <Value>select * from sys.dm_exec_query_stats</Value>
          <OutputTable>dm_exec_query_stats</OutputTable>
        </Query>
</ns:TSQLQueryCollector>"

$colitem.CollectionFrequency = new-object System.TimeSpan(0,5,0)

$colset.CollectionItems.Add($colitem)
$colset.Create()
