function pro { notepad $profile }

[reflection.assembly]::LoadWithPartialName("Microsoft.SqlServer.ConnectionInfo")
[reflection.assembly]::LoadWithPartialName("Microsoft.SqlServer.Smo")
[reflection.assembly]::LoadWithPartialName("Microsoft.SqlServer.SmoEnum")
[reflection.assembly]::LoadWithPartialName("Microsoft.SqlServer.WmiEnum")
[reflection.assembly]::LoadWithPartialName("Microsoft.SqlServer.Dmf")
[reflection.assembly]::LoadWithPartialName("Microsoft.SqlServer.Management.Sdk.Sfc")
[reflection.assembly]::LoadWithPartialName("Microsoft.SqlServer.PolicyEnum")
[reflection.assembly]::LoadWithPartialName("Microsoft.SqlServer.Management.Collector")

# set a server object for the default instance
# or $server = new-object ('Microsoft.SqlServer.Management.Smo.Server') .
$serverpath = ('SQLSERVER:\SQL\' + (get-item env:\computername).Value + '\default')
$server = get-item $serverpath

# set a policystore object for the default instance
$polpath = ('SQLSERVER:\SQLPOLICY\' + (get-item env:\computername).Value + '\default')
$pol = get-item $polpath
$polfiles = 'C:\Program Files\Microsoft SQL Server\100\Tools\Policies\DatabaseEngine\1033'

# set a collectionstore object for the default instance
$colpath = ('SQLSERVER:\DataCollection\' + (get-item env:\computername).Value + '\default')
$col = get-item $colpath

# get a ManagedCommputer object the "old way"
$smo = 'Microsoft.SqlServer.Management.Smo.'
$mc = new-object ($smo + 'WMI.ManagedComputer') .

$dmf = 'Microsoft.SqlServer.Management.Dmf.'
$colns = 'Microsoft.SqlServer.Management.Collector.'

function executesql {
$server = new-object ('microsoft.sqlserver.management.smo.server');
write-host "executing " $args[0]
write-host "Server:"$server.Name
$rdr = $server.ConnectionContext.executeReader($args[0]);
while($rdr.Read())
{
for($c = 0; $c -lt $rdr.FieldCount; $c++) { ($rdr.GetName($c) + ":" + $rdr.GetValue($c)) }
write-host ""
}
$rdr.close();
}

function tounicode {
get-content -Path $args[0] -encoding utf8 | out-file  $args[1] -encoding unicode
}

function convert-and-load2 {
$filename = "$env:temp\TEMP$(Get-Date -format 'yyyyMMddhhmmss').txt"
get-content -Path $args[0] encoding utf8 | out-file $filename -encoding Unicode
bcp $args[1] in $filename -w -T
del $filename
}


